package cloud.javastudy.study.demo.controller;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.HashMap;
import java.util.Map;

/**
 * @Author https://www.javastudy.cloud
 * @CreateTime 2019/11/15
 **/
@RestController
public class TestController {

    @RequestMapping("test/testUpload")
    public String testUpload(MultipartFile testFile){
        try {
            //输出原文件名
            String fileName = testFile.getOriginalFilename();
            System.out.println("fileName is "+fileName);
            //直接显示文件内容
            byte[] bytes = testFile.getBytes();
            System.out.println(new String(bytes));
        } catch (IOException e) {
            e.printStackTrace();
        }
        return "OK";
    }
}
